package com.uas.app.city.account.service;

import com.uas.app.city.account.model.Company;

/**
 * An abstract class of company info.
 *
 * @author huxz
 */
public interface CompanyService {

    /**
     * Find user space info by business code.
     *
     * @param businessCode  business code of company
     * @return  company detail in SSO
     */
    Company findUserSpaceByBusinessCode(String businessCode);

    /**
     * 保存 company
     * @param company
     */
    Company save(Company company);

    Company getCompanyBySpaceUU(Long spaceUU);
}
