package com.uas.app.city.account.service;

import com.uas.app.city.account.model.Company;
import com.uas.app.city.account.model.LocalUser;

import java.util.Map;

/**
 * 同步账户中心用户、企业信息
 * @author liuam
 * @since 2018/6/8 0008 下午 14:38
 */
public interface SyncService {

    /**
     * 同时保存用户信息和企业信息
     * @param localUser
     * @param company
     * @return localuser And company if success
     */
    Map<String, Object> saveUserAndCompany (LocalUser localUser, Company company);


}
