(function (angular) {
  const app = angular.module("app");

  // Controllers
  app.controller("CityEditController", cityEdit);

  function cityEdit($http, $state, $stateParams) {
    const self = this;

    self.city = {};

    self.editCityInfo = editCityInfo;

    init();

    function init() {
      console.log($stateParams.city)
      if ($stateParams.city) {
        self.city = $stateParams.city;
      } else {
        self.city = {};
      }
    }

    function editCityInfo() {

      $http.put('city//edit-city-info', JSON.stringify(self.city), {
        transformRequest: angular.identity
      }).success(function (response) {
        console.log(response);
        if (response.success) {
          init();
          $state.go('home');

          alert('操作成功');
        } else {
          self.errorMessage = response.message;
        }
      }).error(function (response) {
        console.log(response);
        if (response.status) {
          alert(response.status + ":" + response.message);
        } else {
          alert(response.message);
        }
      });
    }
  }
})(angular);
