package com.uas.app.city.account.model;

/**
 * Common properties from Account Center.
 *
 * @author huxz
 */
public interface BaseUser {

    /**
     * Get user name from token.
     *
     * @return String
     */
    String getName();

    /**
     * Get user mobile from token.
     *
     * @return String
     */
    String getMobile();

    /**
     * Get user email from token.
     *
     * @return String
     */
    String getEmail();
}
