package com.uas.app.city.account.model;

import com.uas.account.entity.User;
import com.uas.sso.entity.UserAccount;

import java.io.Serializable;

/**
 * @author liuam
 * @version 2018/5/8 0008 下午 18:16 创建文件
 */
public class UserView extends User implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long userUU;

    private String username;

    private String mobile;

    private String email;

    private Enterprise enterprise;

    public UserView() {
    }

    public UserView(UserAccount userAccount) {
        this.userUU = userAccount.getUserUU();
        this.username = userAccount.getVipName();
        this.mobile = userAccount.getMobile();
        this.email = userAccount.getEmail();
        Enterprise enterprise = new Enterprise();
        this.enterprise = enterprise;
        enterprise.setEnUU(userAccount.getSpaceUU());
        enterprise.setEnName(userAccount.getSpaceName());
        enterprise.setEnBusinessCode(userAccount.getBusinessCode());
        setAppId(userAccount.getAppId());
        setSpaceUID(userAccount.getBusinessCode());
        setSpaceDialectUID(userAccount.getSpaceUU() == null ? null : userAccount.getSpaceUU().toString());
        setUid(userAccount.getMobile());
        setSecondUID(userAccount.getEmail());
        setDialectUID(userAccount.getUserUU() == null ? null : userAccount.getUserUU().toString());
        setName(userAccount.getVipName());
        setPassword(userAccount.getPassword());
    }

    public Long getUserUU() {
        return userUU;
    }

    public void setUserUU(Long userUU) {
        this.userUU = userUU;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Enterprise getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(Enterprise enterprise) {
        this.enterprise = enterprise;
    }
}
