(function (angular) {
  const app = angular.module("app");

  // Controllers
  app.controller("CityAddController", cityAdd);

  function cityAdd($http, $state) {
    const self = this;

    self.city = {};

    self.addCityInfo = addCityInfo;

    init();

    function init() {
      self.city = {};
    }

    function addCityInfo() {

      $http.post('city//insert-city-info', JSON.stringify(self.city), {
        transformRequest: angular.identity
      }).success(function (response) {
        console.log(response);
        if (response.success) {
          init();
          $state.go('home');

          alert('操作成功');
        } else {
          self.errorMessage = response.message;
        }
      }).error(function (response) {
        console.log(response);
        if (response.status) {
          alert(response.status + ":" + response.message);
        } else {
          alert(response.message);
        }
      });
    }
  }
})(angular);
