const app = angular.module("app",["ui.router"]);

// 配置路由信息
app.config(function ($httpProvider, $stateProvider, $urlRouterProvider) {
  $httpProvider.defaults.headers.common['X-Requested-With'] = 'XMLHttpRequest';

  $urlRouterProvider.when("", "/home");

  $stateProvider.state("home", {
    url: "/home",
    templateUrl: "/app/admin/components/home.html"
  }).state("about", {
    url: "/about",
    templateUrl: "/app/admin/components/about.html"
  }).state("addCity", {
    url: "/add-city",
    templateUrl: "/app/admin/components/city-add.html"
  }).state('editCity', {
    url: "/edit-city",
    templateUrl: "/app/admin/components/city-edit.html",
    params: { city: {} }
  });
});
